let
  sources = import ./sources.nix;

  # declare pkgs from sources
  pkgs = import sources.nixpkgs { };
in sources // {
  nixpkgs = pkgs.applyPatches {
    src = sources.nixpkgs;
    name = "nixpkgs-patched";
    patches = [
      # # Revert "nixos/murmur: Get rid of global lib expansion" #413495 
      # (pkgs.fetchpatch {
      #   url = "https://github.com/NixOS/nixpkgs/pull/413495.patch";
      #   sha256 = "sha256-0QI2qn0vkFruk0sq15xLriz6iqvs2e9DjApVblsSULE=";
      # })
    ];
  };

  # nixpkgs = pkgs.lib.cleanSource /state/home/projects/nixos/nixpkgs;

  drasl = pkgs.applyPatches {
    src = sources.drasl;
    name = "drasl-patched";
    patches = [
      ./../patches/drasl-flakes-nix-add-option-package.patch
      ./../patches/drasl-registration-oidc-env.patch
      
    ];
  };
}
